package kz.cafe.client.rest.wrappers;

import java.util.*;
import javax.xml.bind.annotation.*;



@XmlRootElement(name = "response")
public class JRReserveListResponse extends JRAbstractDeleteableResponse{

   @XmlElementWrapper(name = "list")
   @XmlElement(name = "item")
   public List<JMItem> list = new ArrayList<JMItem>();





   public JMItem add(){
      JMItem jmItem = new JMItem();
      list.add(jmItem);

      return jmItem;
   }

   
   
   public static class JMItem extends JMAbstractDataElement{
      public Long    date;
      public Integer CID;
      public Integer sits;
      public String  comment;
      public Boolean confirmed;
   }




   
   
   
   
   

   public JRReserveListResponse(){
   }
   public JRReserveListResponse(Throwable e){
      super(e);
   }
}
